#ifndef CODEGEN_H
#define CODEGEN_H

#include "node.h"

void codegen(Node node, bool emit_type);
void codegen_function_call(FunctionCall node);
void codegen_function_decl(FunctionDecl node);
void codegen_arg_decl(ArgDecl node, bool emit_type);
void codegen_function_impl(FunctionImpl node);
void codegen_reference(Reference node);
void codegen_number(Number node, bool emit_type);
void codegen_return(Return node);

#endif
